Admin APIShipping option types
Delete a Shipping Option Type
Delete a shipping option type.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
The shipping option type's ID.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X DELETE "https://{tenant}.api.myxclade.com/admin/shipping-option-types/string"{
"id": "string",
"object": "shipping_option_type",
"deleted": true
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}Manage the Rules of a Shipping Option
Manage the rules of a shipping option to create, update, or delete them.
List Shipping Option Types
Retrieve a list of shipping option types. The shipping option types can be filtered by fields such as `id`. The shipping option types can also be sorted or paginated.